org.apache.cassandra.cql3.statements

## Interface MultiColumnRestriction.IN

- All Superinterfaces:
    MultiColumnRestriction, Restriction
  All Known Implementing Classes:
    MultiColumnRestriction.InWithMarker, MultiColumnRestriction.InWithValues
  Enclosing interface:
    MultiColumnRestriction

      public static interface MultiColumnRestriction.IN
      extends MultiColumnRestriction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.MultiColumnRestriction

      `MultiColumnRestriction.EQ, MultiColumnRestriction.IN, MultiColumnRestriction.InWithMarker, MultiColumnRestriction.InWithValues, MultiColumnRestriction.Slice`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.util.List<java.nio.ByteBuffer>>` | `splitValues(QueryOptions options)`

    - ### Methods inherited from interface org.apache.cassandra.cql3.statements.Restriction

      `isContains, isEQ, isIN, isMultiColumn, isOnToken, isSlice, values`

- - ### Method Detail

    - #### splitValues

          java.util.List<java.util.List<java.nio.ByteBuffer>> splitValues(QueryOptions options)
                                                                          throws InvalidRequestException

      Throws:
        `InvalidRequestException`

Copyright © 2014 The Apache Software Foundation